echo off

cls
set DESTDIR=%WEBDIR%\Algo-S2\06-Matrices
set SRCDIR=%WEBDIR%\Algo-S2\06-Matrices
set COLORNAMES=006600
set COLORTYPES=993399
set COLORINSTR=990000
set COLORCMNTS=888833
set COLORSTRCT=118888

echo ------------------------------------------------------------

set SRCFILE=TD-Correction

set CIBLE=ManipulationsMatriceEntier
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ManipulationsMatriceReel
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ManipulationsMatriceCaractere
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ParcoursMatrice
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=TP-Correction

set CIBLE=ManipulationsMatriceEntier
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ManipulationsMatriceReel
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ManipulationsMatriceCaractere
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ParcoursMatrice
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RotationMatrice
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitDeConvolution
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=SommeMatrices
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitMatriceVecteur
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitMatriceMatrice
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=PivotGauss
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=SommeMatrices
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitMatriceVecteur
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitMatriceMatrice
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=PivotGauss
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

pause

exit